gdl-0.9r2, GMT-4.3.1

GDLとGMTのMacPortsパッケージを更新.universalにも対応.GDLが依存しているhdf5のuniversal対応は,管理者に連絡中.GDLのlibtoolが古かったので,/opt/local/share/libtool/config/ltmain.shをコピー.

コメント

匿名 さんのコメント…
gmtのportのメンテなさんですよね?
OSX 10.5.6 MacPorts 1.710 Xcode 3.1.2でgmtのアップグレードに失敗します。
/usr/bin/gcc-4.0 -flat_namespace -undefined suppress -install_name /opt/local/lib/libgmtps.4.dylib -compatibility_version 4.0.0 -current_version 4.3.1 -dynamiclib gmt_plot.o libpsl.dylib libgmt.dylib -o libgmtps.dylib
/usr/bin/gcc-4.0 -O2 -O2 -pedantic -fno-common -Wall -fPIC -I/opt/local/include -DGMT_SHARE_PATH=\"/opt/local/share/gmt\" -I/opt/local/include -c -o blockmean.o blockmean.c
/usr/bin/gcc-4.0 -L/opt/local/lib -Wl,-x blockmean.o -L. -lgmt -L/opt/local/lib -lnetcdf -o blockmean
Undefined symbols:
"_GMT_fclose", referenced from:
_main in blockmean.o
ld: symbol(s) not found
collect2: ld returned 1 exit status
make[1]: *** [blockmean] Error 1
make: *** [gmt] Error 2

Error: Unable to upgrade port: 1
報告だけでですみません。

このブログの人気の投稿

静的サイト生成ツールの導入

uptex

TeXのソースを分割してTeXShopでタイプセット